%global srcname psutil

Summary:        A process and system utilities module for Python
Name:           python-%{srcname}
Version:        5.9.5
Release:        3%{?dist}
License:        BSD-3-Clause
URL:            https://github.com/giampaolo/psutil
Source0:        %{url}/archive/release-%{version}/%{srcname}-%{version}.tar.gz #/%{srcname}-release-%{version}.tar.gz

Patch3000:      python-psutil-skip-tests-in-mock.patch
Patch3001:      python-psutil-test-sum-floats-via-almost-equal.patch
Patch5000:      python-psutil-skip-tests-in-arm.patch

BuildRequires:  gcc grep make procps-ng
BuildRequires:  python%{python3_pkgversion}-devel  python%{python3_pkgversion}-setuptools

%description
psutil is a module providing an interface for retrieving information on all running processes
and system utilization (CPU, memory, disks, network, users) in a portable way by using Python,
implementing many functionalities offered by command line tools such as: ps, top, df, kill, free,
lsof, free, netstat, ifconfig, nice, ionice, iostat, iotop, uptime, pidof, tty, who, taskset, pmap.

%package -n python%{python3_pkgversion}-psutil
Summary:    A process and system utilities module for Python


%description -n python%{python3_pkgversion}-psutil
psutil is a module providing an interface for retrieving information on all running processes
and system utilization (CPU, memory, disks, network, users) in a portable way by using Python,
implementing many functionalities offered by command line tools such as: ps, top, df, kill, free,
lsof, free, netstat, ifconfig, nice, ionice, iostat, iotop, uptime, pidof, tty, who, taskset, pmap.

%package -n     python%{python3_pkgversion}-psutil-tests
Summary:        A process and system utilities module for Python, test suite
Requires:       python%{python3_pkgversion}-psutil = %{version}-%{release}

%description -n python%{python3_pkgversion}-psutil-tests
psutil is a module providing an interface for retrieving information on all running processes
and system utilization (CPU, memory, disks, network, users) in a portable way by using Python,
implementing many functionalities offered by command line tools such as: ps, top, df, kill, free,
lsof, free, netstat, ifconfig, nice, ionice, iostat, iotop, uptime, pidof, tty, who, taskset, pmap.
This package provides test suite for psutil.

%prep
%autosetup -p1 -n %{srcname}-release-%{version}
find psutil -name \*.py | while read file; do
  sed -i.orig -e '1{/^#!/d}' $file && \
  touch -r $file.orig $file && \
  rm $file.orig
done

%build
%py3_build

%install
%py3_install

%check
make test APPVEYOR=1 PYTHON=%{__python3} PYTHONPATH=%{buildroot}/%{python3_sitearch}

%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc CREDITS HISTORY.rst README.rst
%{python3_sitearch}/%{srcname}/
%{python3_sitearch}/%{srcname}-%{version}-py%{python3_version}.egg-info/
%exclude %{python3_sitearch}/%{srcname}/tests

%files -n python%{python3_pkgversion}-%{srcname}-tests
%{python3_sitearch}/%{srcname}/tests/

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.9.5-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.9.5-2
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Aug 11 2023 rockerzhu <rockerzhu@tencent.com> - 5.9.5-1
- Update to 5.9.5 and skip some unreliable testcases.

* Thu May 4 2023 Shuo Wang <abushwang@tencent.com> - 5.9.2-1
- update to 5.9.2
- fix a test fail for koji

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.8.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.8.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Nov 29 2022 Shuo Wang <abushwang@tencent.com> - 5.8.0-1
- initial build
